twitter4j

## Class SiteStreamsAdapter

- java.lang.Object
- - twitter4j.SiteStreamsAdapter

All Implemented Interfaces:
  SiteStreamsListener, StreamListener

    public class SiteStreamsAdapter
    extends java.lang.Object
    implements SiteStreamsListener

Since:
  Twitter4J 2.1.8
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`SiteStreamsAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBlock(long forUser, User source, User blockedUser)`
`void` `onDeletionNotice(long forUser, long directMessageId, long userId)`
`void` `onDeletionNotice(long forUser, StatusDeletionNotice statusDeletionNotice)`
`void` `onDirectMessage(long forUser, DirectMessage directMessage)`
`void` `onDisconnectionNotice(java.lang.String screenName)` callback method for `StreamController.removeUsers(long[])`
`void` `onException(java.lang.Exception ex)`
`void` `onFavorite(long forUser, User source, User target, Status favoritedStatus)`
`void` `onFavoritedRetweet(User source, User target, Status favoritedStatus)`
`void` `onFollow(long forUser, User source, User followedUser)`
`void` `onFriendList(long forUser, long[] friendIds)`
`void` `onMute(long forUser, User source, User target)`
`void` `onQuotedTweet(User source, User target, Status quotingTweet)`
`void` `onRetweetedRetweet(User source, User target, Status retweetedStatus)`
`void` `onStatus(long forUser, Status status)`
`void` `onUnblock(long forUser, User source, User unblockedUser)`
`void` `onUnfavorite(long forUser, User source, User target, Status unfavoritedStatus)`
`void` `onUnfollow(long forUser, User source, User followedUser)`
`void` `onUnmute(long forUser, User source, User target)`
`void` `onUserDeletion(long forUser, long deletedUser)`
`void` `onUserListCreation(long forUser, User listOwner, UserList list)`
`void` `onUserListDeletion(long forUser, User listOwner, UserList list)`
`void` `onUserListMemberAddition(long forUser, User addedUser, User listOwner, UserList list)`
`void` `onUserListMemberDeletion(long forUser, User deletedUser, User listOwner, UserList list)`
`void` `onUserListSubscription(long forUser, User subscriber, User listOwner, UserList list)`
`void` `onUserListUnsubscription(long forUser, User subscriber, User listOwner, UserList list)`
`void` `onUserListUpdate(long forUser, User listOwner, UserList list)`
`void` `onUserProfileUpdate(long forUser, User updatedUser)`
`void` `onUserSuspension(long forUser, long suspendedUser)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SiteStreamsAdapter

    public SiteStreamsAdapter()

### Method Detail

#### onStatus

    public void onStatus(long forUser,
                         Status status)

Specified by:
  `onStatus` in interface `SiteStreamsListener`

#### onDeletionNotice

    public void onDeletionNotice(long forUser,
                                 StatusDeletionNotice statusDeletionNotice)

Specified by:
  `onDeletionNotice` in interface `SiteStreamsListener`

#### onFriendList

    public void onFriendList(long forUser,
                             long[] friendIds)

Specified by:
  `onFriendList` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `friendIds` - friend ids

#### onFavorite

    public void onFavorite(long forUser,
                           User source,
                           User target,
                           Status favoritedStatus)

Specified by:
  `onFavorite` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `source` - source user of the event
  `target` - target user of the event
  `favoritedStatus` - the status favorited

#### onUnfavorite

    public void onUnfavorite(long forUser,
                             User source,
                             User target,
                             Status unfavoritedStatus)

Specified by:
  `onUnfavorite` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `source` - source user of the event
  `target` - target user of the event
  `unfavoritedStatus` - the status unfavorited

#### onFollow

    public void onFollow(long forUser,
                         User source,
                         User followedUser)

Specified by:
  `onFollow` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `source` - source user of the event
  `followedUser` - user followed

#### onUnfollow

    public void onUnfollow(long forUser,
                           User source,
                           User followedUser)

Specified by:
  `onUnfollow` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `source` - source user of the event
  `followedUser` - user unfollowed

#### onDirectMessage

    public void onDirectMessage(long forUser,
                                DirectMessage directMessage)

Specified by:
  `onDirectMessage` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `directMessage` - direct message received

#### onDeletionNotice

    public void onDeletionNotice(long forUser,
                                 long directMessageId,
                                 long userId)

Specified by:
  `onDeletionNotice` in interface `SiteStreamsListener`

#### onUserListMemberAddition

    public void onUserListMemberAddition(long forUser,
                                         User addedUser,
                                         User listOwner,
                                         UserList list)

Specified by:
  `onUserListMemberAddition` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `addedUser` - member added
  `listOwner` - owner of the list
  `list` - the list

#### onUserListMemberDeletion

    public void onUserListMemberDeletion(long forUser,
                                         User deletedUser,
                                         User listOwner,
                                         UserList list)

Specified by:
  `onUserListMemberDeletion` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `deletedUser` - member deleted
  `listOwner` - owner of the list
  `list` - the list

#### onUserListSubscription

    public void onUserListSubscription(long forUser,
                                       User subscriber,
                                       User listOwner,
                                       UserList list)

Specified by:
  `onUserListSubscription` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `subscriber` - member subscribed
  `listOwner` - owner of the list
  `list` - the list

#### onUserListUnsubscription

    public void onUserListUnsubscription(long forUser,
                                         User subscriber,
                                         User listOwner,
                                         UserList list)

Specified by:
  `onUserListUnsubscription` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `subscriber` - user subscribed
  `listOwner` - owner of the list
  `list` - the list

#### onUserListCreation

    public void onUserListCreation(long forUser,
                                   User listOwner,
                                   UserList list)

Specified by:
  `onUserListCreation` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `listOwner` - owner of the list
  `list` - the list

#### onUserListUpdate

    public void onUserListUpdate(long forUser,
                                 User listOwner,
                                 UserList list)

Specified by:
  `onUserListUpdate` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `listOwner` - owner of the list
  `list` - the list

#### onUserListDeletion

    public void onUserListDeletion(long forUser,
                                   User listOwner,
                                   UserList list)

Specified by:
  `onUserListDeletion` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `listOwner` - owner of the list
  `list` - the list

#### onUserProfileUpdate

    public void onUserProfileUpdate(long forUser,
                                    User updatedUser)

Specified by:
  `onUserProfileUpdate` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `updatedUser` - updated user

#### onUserSuspension

    public void onUserSuspension(long forUser,
                                 long suspendedUser)

Specified by:
  `onUserSuspension` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `suspendedUser` - suspended user id

#### onUserDeletion

    public void onUserDeletion(long forUser,
                               long deletedUser)

Specified by:
  `onUserDeletion` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `deletedUser` - deleted user id

#### onBlock

    public void onBlock(long forUser,
                        User source,
                        User blockedUser)

Specified by:
  `onBlock` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `source` - the user user blocked
  `blockedUser` - the user got blocked

#### onUnblock

    public void onUnblock(long forUser,
                          User source,
                          User unblockedUser)

Specified by:
  `onUnblock` in interface `SiteStreamsListener`
Parameters:
  `forUser` - the user id to whom sent the event
  `source` - the user unblocked
  `unblockedUser` - the user got unblocked

#### onRetweetedRetweet

    public void onRetweetedRetweet(User source,
                                   User target,
                                   Status retweetedStatus)

Specified by:
  `onRetweetedRetweet` in interface `SiteStreamsListener`
Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `retweetedStatus` - status retweeted retweet

#### onFavoritedRetweet

    public void onFavoritedRetweet(User source,
                                   User target,
                                   Status favoritedStatus)

Specified by:
  `onFavoritedRetweet` in interface `SiteStreamsListener`
Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `favoritedStatus` - status favorited retweet

#### onQuotedTweet

    public void onQuotedTweet(User source,
                              User target,
                              Status quotingTweet)

Specified by:
  `onQuotedTweet` in interface `SiteStreamsListener`
Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `quotingTweet` - status favorited retweet

#### onMute

    public void onMute(long forUser,
                       User source,
                       User target)

Specified by:
  `onMute` in interface `SiteStreamsListener`
  `source` - source user of the event
  `target` - target user of the event

#### onUnmute

    public void onUnmute(long forUser,
                         User source,
                         User target)

Specified by:
  `onUnmute` in interface `SiteStreamsListener`
  `source` - source user of the event
  `target` - target user of the event

#### onDisconnectionNotice

    public void onDisconnectionNotice(java.lang.String screenName)

Description copied from interface: `SiteStreamsListener`
callback method for `StreamController.removeUsers(long[])`

Specified by:
  `onDisconnectionNotice` in interface `SiteStreamsListener`
Parameters:
  `screenName` - notice

#### onException

    public void onException(java.lang.Exception ex)

Specified by:
  `onException` in interface `SiteStreamsListener`
Specified by:
  `onException` in interface `StreamListener`